# Test Data Generator using Hinnant Date Library

The `test_data_generator.cpp` program generates the `validation_data.cpp`,
`validation_data.h` and `validation_tests.cpp` files needed by:

    * `tests/validation/BasicValidationUsingHinnantDateTest/`
    * `tests/validation/ExtendedValidationUsingHinnantDateTest/`

The program reads the `zones.txt` file (generated by the `tzcompiler.py`
program) which contains the list of zones supported by zoneinfo files in
`src/ace_time/zonedb/` and `src/ace_time/zonedbx`. The program then generates a
test data set of all DST transitions, the epoch seconds, and the expected
date/time components using the [Hinnant
Date](https://github.com/HowardHinnant/date) C++11/14/17 library.

## Compiling

I have tested this only on Ubuntu 18.04. Install the following:

* CMake
    * `$ sudo apt install cmake`
* libcurl library
    * `$ sudo apt install libcurl4-openssl-dev`
* [Hinnant Date](https://github.com/HowardHinnant/date) library as a
    **sibling** to AceTime
    * `$ cd $ACE_TIME_DIR/..`
    * `$ git clone https://github.com/HowardHinnant/date`

Then type make to generate `test_data_generator.out`:
```
$ make
```
